package model

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

// 学习记录: 哪个用户 学习了哪个内容:怎么标识这个内容 学习了多少时间:每分钟请求接口同步一次
// 当前登录用户 cid对应的内容,category 中type为'course' learnTime +1

type LearnLog struct {
	Id  primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	Uid string             `bson:"uid,omitempty" json:"uid"` // 用户id
	Cid string             `bson:"cid,omitempty" json:"cid"` // 分类配置id
	// Sid        string             `bson:"sid,omitempty" json:"sid"`             //subject id 学习主题id // 客户端用于标识题目的(因为服务端不存储题目)
	Type       string    `bson:"type,omitempty" json:"type"`           // 学习类型: 理论/实操
	LearnTime  *int      `bson:"learnTime,omitempty" json:"learnTime"` // 学习时长
	CreateTime time.Time `bson:"createTime,omitempty" json:"createTime"`
	UpdateTime time.Time `bson:"updateTime,omitempty" json:"updateTime"`
}

// 学习记录统计
type LearnLogStatistics struct {
	Id  primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	Uid string             `bson:"uid,omitempty" json:"uid"` // 用户id
	Cid string             `bson:"cid,omitempty" json:"cid"` // 分类id
	// CateName   string             `bson:"cateName,omitempty" json:"cateName"`   // 分类名称
	LearnTime  int       `bson:"learnTime,omitempty" json:"learnTime"` // 学习时长
	CreateTime time.Time `bson:"createTime,omitempty" json:"createTime"`
	UpdateTime time.Time `bson:"updateTime,omitempty" json:"updateTime"`
}
